using System;

namespace Server.Items
{
	[Furniture]
	[Flipable(5468, 5469, 5470, 5471, 5472, 5473, 5474, 5475, 5484, 5485, 5486, 5487, 5488, 5489, 5490, 5491, 5492,
      5493, 5494, 5495, 5496, 5497, 5498, 5499, 5500, 5501, 5502, 5503, 5504, 5505, 5506, 5507, 5508, 5509)]
	public class DecorativeShield : Item
	{
		[Constructable]
		public DecorativeShield() : base(5468)
		{
			Weight = 15.0;
		}

		public DecorativeShield(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 10.0 )
				Weight = 15.0;
		}
	}
}